From: Siddharth Gupta <sidgup@codeaurora.org>
To: Masahiro Yamada <yamada.masahiro@socionext.com>,
Sam Ravnborg <sam@ravnborg.org>
Cc: Siddharth Gupta <sidgup@codeaurora.org>, linux-kernel@vger.kernel.org
Subject: [PATCH v2] scripts: headers_install: Exit with error on config leak
Date: Sat, 2 May 2020 20:29:05 -0700 [thread overview]
Message-ID: <1588476545-21082-1-git-send-email-sidgup@codeaurora.org> (raw)
Misuse of CONFIG_* in UAPI headers should result in an error as it exposes
configuration of different targets to userspace.
Signed-off-by: Siddharth Gupta <sidgup@codeaurora.org>
---
| 11 ++++++-----
1 file changed, 6 insertions(+), 5 deletions(-)
--git a/scripts/headers_install.sh b/scripts/headers_install.sh
index a07668a..94a8335 100755
--- a/scripts/headers_install.sh
+++ b/scripts/headers_install.sh
@@ -64,7 +64,7 @@ configs=$(sed -e '
d
' $OUTFILE)
-# The entries in the following list are not warned.
+# The entries in the following list do not result in an error.
# Please do not add a new entry. This list is only for existing ones.
# The list will be reduced gradually, and deleted eventually. (hopefully)
#
@@ -98,18 +98,19 @@ include/uapi/linux/raw.h:CONFIG_MAX_RAW_DEVS
for c in $configs
do
- warn=1
+ leak_error=1
for ignore in $config_leak_ignores
do
if echo "$INFILE:$c" | grep -q "$ignore$"; then
- warn=
+ leak_error=
break
fi
done
- if [ "$warn" = 1 ]; then
- echo "warning: $INFILE: leak $c to user-space" >&2
+ if [ "$leak_error" = 1 ]; then
+ echo "error: $INFILE: leak $c to user-space" >&2
+ exit 1
fi
done
--
Qualcomm Innovation Center, Inc. is a member of the Code Aurora Forum,
a Linux Foundation Collaborative Project
next reply other threads:[~2020-05-03 3:29 UTC|newest]
Thread overview: 3+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-05-03 3:29 Siddharth Gupta [this message]
2020-05-04 7:18 ` [PATCH v2] scripts: headers_install: Exit with error on config leak Masahiro Yamada
2020-05-06 1:45 ` Siddharth Gupta
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1588476545-21082-1-git-send-email-sidgup@codeaurora.org \
--to=sidgup@codeaurora.org \
--cc=linux-kernel@vger.kernel.org \
--cc=sam@ravnborg.org \
--cc=yamada.masahiro@socionext.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.